mbed TLS v2.23.0

Enumerations
crypto_driver_common.h File Reference

Definitions for all PSA crypto drivers. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include "crypto_types.h"`
`#include "crypto_values.h"`
Include dependency graph for crypto_driver_common.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations
enum | psa_encrypt_or_decrypt_t { PSA_CRYPTO_DRIVER_DECRYPT, PSA_CRYPTO_DRIVER_ENCRYPT }

## Detailed Description

Definitions for all PSA crypto drivers.

This file contains common definitions shared by all PSA crypto drivers. Do not include it directly: instead, include the header file(s) for the type(s) of driver that you are implementing. For example, if you are writing a driver for a chip that provides both a hardware random generator and an accelerator for some cryptographic algorithms, include `psa/crypto_entropy_driver.h` and `psa/crypto_accel_driver.h`.

This file is part of the PSA Crypto Driver Model, containing functions for driver developers to implement to enable hardware to be called in a standardized way by a PSA Cryptographic API implementation. The functions comprising the driver model, which driver authors implement, are not intended to be called by application developers.

Definition in file crypto_driver_common.h.

## Enumeration Type Documentation

## ◆ psa_encrypt_or_decrypt_t

enum psa_encrypt_or_decrypt_t

For encrypt-decrypt functions, whether the operation is an encryption or a decryption.

Enumerator
PSA_CRYPTO_DRIVER_DECRYPT |
PSA_CRYPTO_DRIVER_ENCRYPT |

Definition at line 49 of file crypto_driver_common.h.